/**
 * cordova生命周期
 */
var appLifecycle = {
	/**
	 * 初始化，添加deviceready监听
	 */
	init: function() {
		document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
	},

	/**
	 * deviceready回调函数，设备启动完成后响应该函数
	 */
	onDeviceReady: function() {
		document.addEventListener('resume', this.onResume.bind(this), false);
		document.addEventListener('pause', this.onPause.bind(this), false);
	},

	/**
	 * 应用进入前台回调
	 * 需在游戏逻辑中对appLifecycle.resume函数进行初始化
	 */
	onResume: function() {
        appLifecycle.resume && appLifecycle.resume();
	},

	/**
	 * 应用进入后台回调
	 * 需在游戏逻辑中对appLifecycle.pause函数进行初始化
	 */
	onPause: function() {
        appLifecycle.pause && appLifecycle.pause();
	}
}

appLifecycle.init();